Skip to main content

Accounts

Accounts are passive entities that store quota information for resources consumed by associated profiles. An account is created for a user when they first sign up.


Objects​

Account​

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe account ID
createdstringISO 8601 timestampThe instant at which the account was created
lastModifiedstringISO 8601 timestampThe instant at which the account was last modified
companystringThe name of the company associated with the account
ownerEmailstringEmail addressThe email address of the owner profile
ownerProfileIdstringThe ID of the owner profile
maxWorkspacesnumberUnsigned integerThe maximum number of workspaces that can be created under the account
maxRowsnumberUnsigned integerThe maximum number of managed database rows available to the account
minutesPerMonthnumberUnsigned integerThe number of pipeline run minutes available to the account per month
minutesUsednumberUnsigned integerThe number of pipeline run minutes used by the account per month
maxClientsnumberUnsigned integerThe number of API key clients available to the account

Requests​

View all accounts​

GET /api/accounts

Returns all accounts the authenticated user profile is an owner of.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/accounts' -i -X GET

Response​

200 OK

Account collection with HAL links.

{
"_embedded" : {
"accounts" : [ {
"id" : "cnghe-ifjfw",
"created" : "2026-09-25T09:07:50.20186",
"lastModified" : "2026-09-25T09:07:51.140172",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/cnghe-ifjfw/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/cnghe-ifjfw/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/cnghe-ifjfw/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/cnghe-ifjfw/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/cnghe-ifjfw"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/cnghe-ifjfw"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/cnghe-ifjfw/admins"
}
}
}, {
"id" : "rurzz-lpifq",
"created" : "2026-09-18T06:46:03.103565",
"lastModified" : "2026-09-18T06:46:04.13084",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/rurzz-lpifq/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/rurzz-lpifq/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/rurzz-lpifq/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/rurzz-lpifq/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/rurzz-lpifq"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/rurzz-lpifq"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/rurzz-lpifq/admins"
}
}
}, {
"id" : "exqrf-sqgoi",
"created" : "2026-09-29T20:48:49.233968",
"lastModified" : "2026-09-29T20:48:50.33598",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/exqrf-sqgoi/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/exqrf-sqgoi/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/exqrf-sqgoi/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/exqrf-sqgoi/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/exqrf-sqgoi"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/exqrf-sqgoi"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/exqrf-sqgoi/admins"
}
}
}, {
"id" : "xhgog-nnajs",
"created" : "2026-08-27T23:06:45.425212",
"lastModified" : "2026-08-27T23:06:46.55708",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/xhgog-nnajs/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/xhgog-nnajs/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/xhgog-nnajs/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/xhgog-nnajs/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/xhgog-nnajs"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/xhgog-nnajs"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/xhgog-nnajs/admins"
}
}
}, {
"id" : "rzjyt-jjhkj",
"created" : "2026-09-11T04:36:53.792708",
"lastModified" : "2026-09-11T04:36:54.9312",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/rzjyt-jjhkj/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/rzjyt-jjhkj/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/rzjyt-jjhkj/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/rzjyt-jjhkj/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/rzjyt-jjhkj"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/rzjyt-jjhkj"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/rzjyt-jjhkj/admins"
}
}
}, {
"id" : "isxqx-vwlei",
"created" : "2026-09-10T10:17:52.70273",
"lastModified" : "2026-09-10T10:17:53.627158",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/isxqx-vwlei/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/isxqx-vwlei/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/isxqx-vwlei/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/isxqx-vwlei/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/isxqx-vwlei"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/isxqx-vwlei"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/isxqx-vwlei/admins"
}
}
}, {
"id" : "jktms-pixks",
"created" : "2026-09-14T05:56:13.490705",
"lastModified" : "2026-09-14T05:56:14.907365",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/jktms-pixks/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/jktms-pixks/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/jktms-pixks/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/jktms-pixks/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/jktms-pixks"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/jktms-pixks"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/jktms-pixks/admins"
}
}
}, {
"id" : "qjdcm-aaxcv",
"created" : "2026-09-02T09:58:22.147342",
"lastModified" : "2026-09-02T09:58:23.374687",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/qjdcm-aaxcv/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/qjdcm-aaxcv/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/qjdcm-aaxcv/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/qjdcm-aaxcv/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/qjdcm-aaxcv"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/qjdcm-aaxcv"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/qjdcm-aaxcv/admins"
}
}
}, {
"id" : "jjcoy-nsbrk",
"created" : "2026-09-04T12:45:25.595451",
"lastModified" : "2026-09-04T12:45:27.165358",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/jjcoy-nsbrk/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/jjcoy-nsbrk/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/jjcoy-nsbrk/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/jjcoy-nsbrk/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/jjcoy-nsbrk"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/jjcoy-nsbrk"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/jjcoy-nsbrk/admins"
}
}
}, {
"id" : "gpihs-qmeut",
"created" : "2026-09-09T09:32:34.53993",
"lastModified" : "2026-09-09T09:32:35.595224",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/gpihs-qmeut/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/gpihs-qmeut/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/gpihs-qmeut/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/gpihs-qmeut/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/gpihs-qmeut"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/gpihs-qmeut"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/gpihs-qmeut/admins"
}
}
}, {
"id" : "ycoqo-cteyd",
"created" : "2026-10-01T13:39:32.682205",
"lastModified" : "2026-10-01T13:39:32.682254",
"company" : "Test Company",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/ycoqo-cteyd"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins"
}
}
}, {
"id" : "naeda-ypuyl",
"created" : "2026-08-06T15:36:16.462619",
"lastModified" : "2026-08-06T15:36:17.397355",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/naeda-ypuyl/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/naeda-ypuyl/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/naeda-ypuyl/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/naeda-ypuyl/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/naeda-ypuyl"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/naeda-ypuyl"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/naeda-ypuyl/admins"
}
}
}, {
"id" : "wyqjc-rueky",
"created" : "2026-08-25T09:10:10.114097",
"lastModified" : "2026-08-25T09:10:11.165577",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/wyqjc-rueky/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/wyqjc-rueky/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/wyqjc-rueky/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/wyqjc-rueky/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/wyqjc-rueky"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/wyqjc-rueky"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/wyqjc-rueky/admins"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"created" : "2026-08-06T15:35:40.316956",
"lastModified" : "2026-08-12T22:48:33.737395",
"company" : "SIT Account - DO NOT CHANGE",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 20,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 182,
"maxClients" : 5,
"_embedded" : {
"profiles" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/auth0%7C6a21dc7aa1db2e036a222942"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942/admins"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942/workspaces"
}
}
}, {
"id" : "nahaz-mxals",
"created" : "2026-08-06T18:37:46.333958",
"lastModified" : "2026-08-06T18:37:47.151548",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/nahaz-mxals/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/nahaz-mxals/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/nahaz-mxals/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/nahaz-mxals/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/nahaz-mxals"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/nahaz-mxals"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/nahaz-mxals/admins"
}
}
}, {
"id" : "muowh-fuore",
"created" : "2026-08-25T13:19:30.16573",
"lastModified" : "2026-08-25T13:19:31.133576",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/muowh-fuore/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/muowh-fuore/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/muowh-fuore/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/muowh-fuore/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/muowh-fuore"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/muowh-fuore"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/muowh-fuore/admins"
}
}
}, {
"id" : "oxvqy-kefsb",
"created" : "2026-08-12T12:28:39.281094",
"lastModified" : "2026-08-12T12:28:40.411674",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/oxvqy-kefsb/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/oxvqy-kefsb/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/oxvqy-kefsb/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/oxvqy-kefsb/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/oxvqy-kefsb"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/oxvqy-kefsb"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/oxvqy-kefsb/admins"
}
}
}, {
"id" : "rlfqb-nspdw",
"created" : "2026-08-07T13:18:44.382355",
"lastModified" : "2026-08-07T13:18:45.276383",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/rlfqb-nspdw/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/rlfqb-nspdw/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/rlfqb-nspdw/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/rlfqb-nspdw/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/rlfqb-nspdw"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/rlfqb-nspdw"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/rlfqb-nspdw/admins"
}
}
}, {
"id" : "seqvk-rabcy",
"created" : "2026-08-13T12:27:05.341601",
"lastModified" : "2026-08-13T12:27:06.202993",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/seqvk-rabcy/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/seqvk-rabcy/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/seqvk-rabcy/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/seqvk-rabcy/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/seqvk-rabcy"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/seqvk-rabcy"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/seqvk-rabcy/admins"
}
}
}, {
"id" : "svugd-fyexy",
"created" : "2026-08-26T07:13:11.480476",
"lastModified" : "2026-08-26T07:13:12.410269",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/svugd-fyexy/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/svugd-fyexy/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/svugd-fyexy/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/svugd-fyexy/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/svugd-fyexy"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/svugd-fyexy"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/svugd-fyexy/admins"
}
}
} ]
},
"_links" : {
"first" : {
"href" : "https://app.meltano.com/api/accounts?page=0&size=20"
},
"self" : {
"href" : "https://app.meltano.com/api/accounts?page=0&size=20"
},
"next" : {
"href" : "https://app.meltano.com/api/accounts?page=1&size=20"
},
"last" : {
"href" : "https://app.meltano.com/api/accounts?page=1&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 21,
"totalPages" : 2,
"number" : 0
}
}

View an account​

GET /api/accounts/{account-id}

Returns the account {account-id}.

Prerequisites​

  • Account {account-id} must exist
  • The authenticated user profile must be an owner of the account {account-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/accounts/ycoqo-cteyd' -i -X GET

Response​

200 OK

Account with HAL links.

{
"id" : "ycoqo-cteyd",
"created" : "2026-10-01T13:39:32.682205",
"lastModified" : "2026-10-01T13:39:32.682254",
"company" : "Test Company",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/ycoqo-cteyd"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins"
}
}
}

Initialise a new account​

POST /api/accounts/new

Initialises a new account.

Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/accounts/new' -i -X POST \
-H 'Content-Type: application/json'

Response​

200 OK

Account with HAL links.

{
"id" : "ycoqo-cteyd",
"created" : "2026-10-01T13:39:32.470908035",
"lastModified" : "2026-10-01T13:39:32.470910141",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 1,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd"
},
"create account" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd"
}
}
}

Create an account​

PUT /api/accounts/{account-id}

Creates the account {account-id}.

Prerequisites​

  • The ownerEmail must match the authenticated user profile's email address

Body​

Account resource.

{
"company" : "Test Company",
"ownerEmail" : "sit+prod+2@meltano.com"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/accounts/ycoqo-cteyd' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"company" : "Test Company",
"ownerEmail" : "sit+prod+2@meltano.com"
}'

Response​

201 Created

Account with HAL links.

{
"id" : "ycoqo-cteyd",
"created" : "2026-10-01T13:39:32.682205332",
"lastModified" : "2026-10-01T13:39:32.682254036",
"company" : "Test Company",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167/working-account"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167/working-account/ycoqo-cteyd"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins"
}
}
}

Update an account​

PUT /api/accounts/{account-id}

Updates the account {account-id}.

Prerequisites​

  • Account {account-id} must exist
  • The authenticated user profile must be an owner of the account {account-id}

Body​

Account resource.

{
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod@meltano.com",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"maxClients" : 0
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/accounts/ycoqo-cteyd' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod@meltano.com",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"maxClients" : 0
}'

Response​

200 OK

Account with HAL links.

{
"id" : "ycoqo-cteyd",
"created" : "2026-10-01T13:39:32.682205",
"lastModified" : "2026-10-01T13:39:33.729107774",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company (updated)",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/ycoqo-cteyd"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins"
}
}
}

View all account admins​

GET /api/accounts/{account-id}/admins

Returns all admins of the account {account-id}.

Prerequisites​

  • The authenticated user profile must be an owner of the account {account-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/accounts/ycoqo-cteyd/admins' -i -X GET

Response​

200 OK

Profile collection with HAL links.

{
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company (updated)",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
}
}

Add an account admin​

PUT /api/accounts/{account-id}/admins/{profile-id}

Adds the profile {profile-id} as an admin of the account {account-id}.

Prerequisites​

  • The authenticated user profile must be an owner of the account {account-id}
  • Profile {profile-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dcb31409cf3514bdf167' -i -X PUT \
-H 'Content-Type: application/json'

Response​

200 OK

Account with HAL links.

{
"id" : "ycoqo-cteyd",
"created" : "2026-10-01T13:39:32.682205",
"lastModified" : "2026-10-01T13:39:33.729108",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod@meltano.com",
"ownerProfileId" : "auth0|6a21dc7aa1db2e036a222942",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company (updated)",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/ycoqo-cteyd"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins"
}
}
}

Remove an account admin​

DELETE /api/accounts/{account-id}/admins/{profile-id}

Removes the profile {profile-id} as an admin of the account {account-id}.

Prerequisites​

  • The authenticated user profile must be an owner of the account {account-id}
  • Profile {profile-id} must be an admin of the account {account-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dcb31409cf3514bdf167' -i -X DELETE

Response​

204 No Content

No response body provided.


Set an account owner​

PUT /api/accounts/{account-id}/owner/{profile-id}

Sets the profile {profile-id} as the primary owner of the account {account-id}.

Prerequisites​

  • The authenticated user profile must be an owner of the account {account-id}
  • Profile {profile-id} must be an admin of the account {account-id}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dcb31409cf3514bdf167' -i -X PUT \
-H 'Content-Type: application/json'

Response​

200 OK

Account with HAL links.

{
"id" : "ycoqo-cteyd",
"created" : "2026-10-01T13:39:32.682205",
"lastModified" : "2026-10-01T13:39:33.729108",
"company" : "Test Company (updated)",
"ownerEmail" : "sit+prod+2@meltano.com",
"ownerProfileId" : "auth0|6a21dcb31409cf3514bdf167",
"maxWorkspaces" : 0,
"maxRows" : 0,
"minutesPerMonth" : 0,
"minutesUsed" : 0,
"maxClients" : 0,
"_embedded" : {
"profiles" : [ {
"id" : "auth0|6a21dcb31409cf3514bdf167",
"name" : "sit+prod+2@meltano.com",
"handle" : "@sit+prod+2",
"email" : "sit+prod+2@meltano.com",
"workingAccount" : {
"company" : "Test Company (updated)",
"id" : "ycoqo-cteyd"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dcb31409cf3514bdf167"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dcb31409cf3514bdf167"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dcb31409cf3514bdf167"
}
}
}, {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod",
"email" : "sit+prod@meltano.com",
"workingAccount" : {
"company" : "SIT Account - DO NOT CHANGE",
"id" : "auth0|6a21dc7aa1db2e036a222942"
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/profiles"
},
"update edit profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
},
"workspaces" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account"
},
"new workspace" : {
"href" : "https://app.meltano.com/api/workspaces"
},
"remove account admin" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins/auth0%7C6a21dc7aa1db2e036a222942"
},
"make account owner" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/owner/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd"
},
"set working account" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942/working-account/ycoqo-cteyd"
},
"admins" : {
"href" : "https://app.meltano.com/api/accounts/ycoqo-cteyd/admins"
}
}
}

Transfer a workspace​

PUT /api/accounts/{account-id}/workspaces/{workspace-id}/transfer

Transfers the workspace {workspace-id} to the account {account-id}.

Prerequisites​

  • The user must be the owner of the account {account-id}

Response​

200 OK

Workspace with HAL links.

{
"id" : "5fda2f58-8407-42bf-9011-3b22c016d3ca",
"created" : "2026-10-01T13:39:24.874619",
"lastModified" : "2026-10-01T13:39:24.87462",
"alias" : "nddlqcg",
"name" : "Test Workspace [2026-10-01T13:39:24.861855515]",
"domains" : [ ],
"repositoryUrl" : "DISABLED",
"deploymentSecret" : "tofkbtmbhlofnzvrhvnfdjhyxzdgvr",
"appProperties" : { },
"status" : "READY",
"managed" : true,
"settings" : [ ],
"_embedded" : {
"default datastore" : {
"id" : "dcc441a3-ed21-4b1b-b0a6-c3eb295f65d5",
"created" : "2026-10-01T13:39:25.907284",
"lastModified" : "2026-10-01T13:39:25.907286",
"name" : "Warehouse",
"properties" : {
"password" : "bW3WE2Xi_6uRmCe9Y_VY8u6qGi",
"dbname" : "yyyzxeb",
"default_target_schema" : "analytics",
"port" : "5432",
"host" : "db.meltano.internal",
"user" : "yyyzxeb"
},
"commands" : { },
"dataPlugin" : "loaders/target-postgres--matatika",
"dataPluginType" : "loader",
"dataPluginLogoUrl" : "/assets/logos/loaders/postgres.png",
"logoUrl" : "/assets/logos/loaders/postgres.png",
"workspace" : "5fda2f58-8407-42bf-9011-3b22c016d3ca",
"jdbcUrl" : "jdbc:postgresql://db.meltano.internal:5432/yyyzxeb",
"managed" : true,
"draft" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datastores/dcc441a3-ed21-4b1b-b0a6-c3eb295f65d5"
},
"dataplugin" : {
"href" : "https://app.meltano.com/api/dataplugins/7b4ec7f4-d15b-4d43-99dd-9feff42bd9f2"
}
}
},
"state datastore" : {
"id" : "dcc441a3-ed21-4b1b-b0a6-c3eb295f65d5",
"created" : "2026-10-01T13:39:25.907284",
"lastModified" : "2026-10-01T13:39:25.907286",
"name" : "Warehouse",
"properties" : {
"password" : "bW3WE2Xi_6uRmCe9Y_VY8u6qGi",
"dbname" : "yyyzxeb",
"default_target_schema" : "analytics",
"port" : "5432",
"host" : "db.meltano.internal",
"user" : "yyyzxeb"
},
"commands" : { },
"dataPlugin" : "loaders/target-postgres--matatika",
"dataPluginType" : "loader",
"dataPluginLogoUrl" : "/assets/logos/loaders/postgres.png",
"logoUrl" : "/assets/logos/loaders/postgres.png",
"workspace" : "5fda2f58-8407-42bf-9011-3b22c016d3ca",
"jdbcUrl" : "jdbc:postgresql://db.meltano.internal:5432/yyyzxeb",
"managed" : true,
"draft" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/datastores/dcc441a3-ed21-4b1b-b0a6-c3eb295f65d5"
},
"dataplugin" : {
"href" : "https://app.meltano.com/api/dataplugins/7b4ec7f4-d15b-4d43-99dd-9feff42bd9f2"
}
}
}
},
"defaultWorkspace" : false,
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca"
},
"update delete workspace" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca"
},
"administrators" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/administrators"
},
"transfer" : {
"href" : "https://app.meltano.com/api/accounts/auth0%7C6a21dc7aa1db2e036a222942/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/transfer"
},
"make-default" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/default"
},
"members" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/members"
},
"news" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/news"
},
"newsTags" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/news/tags"
},
"invitations" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/invitations"
},
"create invitation" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/invitations"
},
"datasets" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/datasets"
},
"publish dataset" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/datasets"
},
"liked-datasets" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/liked"
},
"channels" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/channels"
},
"tags" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/tags"
},
"search" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/search"
},
"feed" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/feed"
},
"msearch" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/datasets/_msearch"
},
"questions" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/questions"
},
"discovery.yml" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/discovery.yml"
},
"dataplugins" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/dataplugins"
},
"availabledataplugins" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/availabledataplugins"
},
"datacomponents" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/datacomponents"
},
"datastores" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/datastores"
},
"default datastore" : {
"href" : "https://app.meltano.com/api/datastores/dcc441a3-ed21-4b1b-b0a6-c3eb295f65d5"
},
"pipelines" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/pipelines"
},
"jobs" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/jobs"
},
"new dataplugin" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/dataplugins"
},
"publish discovery.yml" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/discovery"
},
"new datacomponent" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/datacomponents"
},
"new datastore" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/datastores"
},
"new pipeline" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/pipelines"
},
"add subscription" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/subscriptions"
},
"notifications" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/notifications"
},
"create deployment" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/deployments"
},
"resources" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/resources"
},
"publish resources" : {
"href" : "https://app.meltano.com/api/workspaces/5fda2f58-8407-42bf-9011-3b22c016d3ca/resources"
}
}
}

See Also​